IF OBJECT_ID('[AssetItems_Paths]') IS NOT NULL DROP VIEW [AssetItems_Paths]
GO

-- this should/could be renamed to AssetItems_Extended, but that would make it the only table (and we'd have to use _Slim), and the 
-- performance of this query isn't really tested

CREATE VIEW [AssetItems_Paths]
AS
WITH AI_DIRS AS (
  SELECT [AssetItem_Id], 
         [AssetItem_Path] = CAST([AssetItem_Name] AS NVARCHAR(MAX)) COLLATE Latin1_General_CS_AS,
         [AssetItem_Lower_Path] = CAST([AssetItem_Lower_Name] AS NVARCHAR(MAX)),
		 [Inhereted_CacheConfiguration_Xml] = [CacheConfiguration_Xml]
    FROM [AssetItems] 
   WHERE [Parent_AssetItem_Id] IS NULL
  UNION ALL
  SELECT AI.[AssetItem_Id], 
		 AI2.[AssetItem_Path] + N'/' COLLATE Latin1_General_CS_AS  + [AssetItem_Name],
         AI2.[AssetItem_Lower_Path] + N'/' + [AssetItem_Lower_Name],
		 COALESCE(AI.[CacheConfiguration_Xml], AI2.[Inhereted_CacheConfiguration_Xml])
    FROM [AssetItems] AI
         INNER JOIN AI_DIRS AI2 ON AI2.[AssetItem_Id] = AI.[Parent_AssetItem_Id]
)
SELECT AI.*, AI_DIRS.[AssetItem_Path], AI_DIRS.[AssetItem_Lower_Path], AI_DIRS.[Inhereted_CacheConfiguration_Xml]
  FROM [AssetItems] AI
       INNER JOIN AI_DIRS ON AI_DIRS.[AssetItem_Id] = AI.[AssetItem_Id]

GO