EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_GetItem',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'AssetItems(1),AssetItemMetadata',
    /* OutputPropertyNames_Csv */ 'CanonicalAssetPath_Text,CacheConfiguration_XML',
    /* Description_Text        */ 'Returns the specified item and its user-defined metadata.'
GO

IF OBJECT_ID('[Assets_GetItem]') IS NOT NULL DROP PROCEDURE [Assets_GetItem]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_GetItem]
(
	@AssetItem_Id INT,
	@CanonicalAssetPath_Text NVARCHAR(MAX) = NULL OUT,
	@CacheConfiguration_XML XML = NULL OUT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * INTO #AssetPath FROM [AssetItems_Paths] WHERE [AssetItem_Id] = @AssetItem_Id

	SELECT * 
	  FROM [AssetItems] 
	 WHERE [AssetItem_Id] = @AssetItem_Id

	SELECT *
	  FROM [AssetItemMetadata]
	 WHERE [AssetItem_Id] = @AssetItem_Id

	 SELECT @CanonicalAssetPath_Text = [AssetItem_Path],
            @CacheConfiguration_XML = [Inhereted_CacheConfiguration_Xml]
	   FROM #AssetPath

END
GO

GRANT EXECUTE ON [Assets_GetItem] TO [ProGetUser_Role]