EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalGroups_GetGroups',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ExternalGroups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the external groups in the system for the specified directory provider.'
GO

IF OBJECT_ID('[ExternalGroups_GetGroups]') IS NOT NULL DROP PROCEDURE [ExternalGroups_GetGroups]
GO

CREATE PROCEDURE [ExternalGroups_GetGroups]
(
	@UserDirectory_Id INT
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [ExternalGroups]
	  WHERE @UserDirectory_Id IS NULL OR [UserDirectory_Id] = @UserDirectory_Id

END
GO

GRANT EXECUTE ON [ExternalGroups_GetGroups] TO [ProGetUser_Role]
GO
