EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Dashboards_GetFeedVulnerabilityAssessments',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DashboardFeeds_VulnerabilityAssessments',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets information about the vulnerability assessments in a feed.'
GO

IF OBJECT_ID('[Dashboards_GetFeedVulnerabilityAssessments]') IS NOT NULL DROP PROCEDURE [Dashboards_GetFeedVulnerabilityAssessments]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Dashboards_GetFeedVulnerabilityAssessments]
(
	@Feed_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
      FROM [DashboardFeeds_VulnerabilityAssessments]
	 WHERE [Feed_Id] = @Feed_Id
     ORDER BY [AssessmentType_Name] ASC

END
GO

GRANT EXECUTE ON [Dashboards_GetFeedVulnerabilityAssessments] TO [ProGetUser_Role]
GO