EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'VulnerabilitySources_GetAllPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PackagesSlim_Combined',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the local packages for feeds which reference the specified vulnerability source.'
GO

IF OBJECT_ID('[VulnerabilitySources_GetAllPackages]') IS NOT NULL DROP PROCEDURE [VulnerabilitySources_GetAllPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VulnerabilitySources_GetAllPackages]
(
	@VulnerabilitySource_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT PS.*
	  FROM [FeedVulnerabilitySources] FVS
	       INNER JOIN [PackagesSlim_Combined] PS
		           ON PS.[Feed_Id] = FVS.[Feed_Id]
	 WHERE FVS.[VulnerabilitySource_Id] = @VulnerabilitySource_Id

END
GO

GRANT EXECUTE ON [VulnerabilitySources_GetAllPackages] TO [ProGetUser_Role]
GO